List enrichments for a resource
curl --request GET \
--url https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"property": "<string>",
"value": "<unknown>",
"provider": "<string>",
"source": "<string>",
"sourceId": "<string>",
"confidence": 123,
"capturedOn": "2023-11-07T05:31:56Z"
}
]
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}List enrichments for a resource
Returns all enrichment values for a resource.
GET
/
v1
/
enrichments
/
resources
/
{resourceType}
/
{resourceId}
List enrichments for a resource
curl --request GET \
--url https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/enrichments/resources/{resourceType}/{resourceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"property": "<string>",
"value": "<unknown>",
"provider": "<string>",
"source": "<string>",
"sourceId": "<string>",
"confidence": 123,
"capturedOn": "2023-11-07T05:31:56Z"
}
]
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The resource type, e.g. "companies".
The resource id.
Response
Enrichment values for the resource.
Show child attributes
Show child attributes

